/*
 * Copyright (c) 2005 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _CANIDS_H
#define _CANIDS_H

/**
 * CAN IDs for Neobotix boards.
 */
enum CANIDs {
	IOBOARD_RX_ID = 0x0100,
	IOBOARD_TX_ID = 0x0101,
	DRIVENEO_RIGHT_RX_ID = 0x0200,
	DRIVENEO_RIGHT_TX_ID = 0x0201,
	DRIVENEO_LEFT_RX_ID = 0x0300,
	DRIVENEO_LEFT_TX_ID = 0x0301,
	USBOARD_RX_ID = 0x0400,
	USBOARD_TX_ID = 0x0401,
	GYROBOARD_RX_ID = 0x0120,
	GYROBOARD_TX_ID = 0x0121,
	RADARBOARD_RX_ID = 0x0110,
	RADARBOARD_TX_ID = 0x0111
};

/**
 * CAN IDs for motor drive Harmonica.
 */
enum CAN_OPEN_ID {
	TxPDO1_LEFT = 0x182,
	TxPDO2_LEFT = 0x282,
	RxPDO2_LEFT = 0x302,
	TxSDO_LEFT = 0x582,
	RxSDO_LEFT = 0x602,
	
	TxPDO1_RIGHT = 0x183,
	TxPDO2_RIGHT = 0x283,
	RxPDO2_RIGHT = 0x303,
	TxSDO_RIGHT = 0x583,
	RxSDO_RIGHT = 0x603,		
};
 

#endif
